## org.apache.mahout.utils.vectors.arff
Class Driver

    java.lang.Object
      org.apache.mahout.utils.vectors.arff.Driver

    public final class Driver

extends Object

Method Summary
`static void` `main(String[] args)`
`protected static void` `writeFile(String outDir, File file, long maxDocs, ARFFModel arffModel, File dictOut, String delimiter, boolean jsonDictonary)`
`protected static void` `writeLabelBindings(File dictOut, ARFFModel arffModel, String delimiter, boolean jsonDictonary)`
`protected static void` `writeLabelBindings(Writer writer, ARFFModel arffModel, String delimiter)`
`protected static void` `writeLabelBindingsJSON(Writer writer, ARFFModel arffModel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

### writeLabelBindings

    protected static void writeLabelBindings(File dictOut,
                                             ARFFModel arffModel,
                                             String delimiter,
                                             boolean jsonDictonary)
                                      throws IOException

  Throws:
    `IOException`

### writeLabelBindingsJSON

    protected static void writeLabelBindingsJSON(Writer writer,
                                                 ARFFModel arffModel)
                                          throws IOException

  Throws:
    `IOException`

### writeLabelBindings

    protected static void writeLabelBindings(Writer writer,
                                             ARFFModel arffModel,
                                             String delimiter)
                                      throws IOException

  Throws:
    `IOException`

### writeFile

    protected static void writeFile(String outDir,
                                    File file,
                                    long maxDocs,
                                    ARFFModel arffModel,
                                    File dictOut,
                                    String delimiter,
                                    boolean jsonDictonary)
                             throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.